package com.lukouguoji.gjj.holder

import android.view.View
import com.lukouguoji.gjj.databinding.ItemGjjManifestBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjjManifestBean

class GjjManifestListViewHolder(view: View) :
    BaseViewHolder<GjjManifestBean, ItemGjjManifestBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        getItemBean(item)?.let {
            binding.bean = it
        }

        notifyItemClick(position, binding.ivIcon)
        notifyItemClick(position, binding.ivShow)

        notifyItemClick(position, binding.tvDetails)
        notifyItemClick(position, binding.tvDelete)
    }
}